## org.apache.poi.hssf.record
Class PageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PageBreakRecord

Direct Known Subclasses:
  HorizontalPageBreakRecord, VerticalPageBreakRecord

public class PageBreakRecord
extends Record

Record that contains the functionality page breaks (horizontal and vertical)

The other two classes just specifically set the SIDS for record creation

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `HorizontalPageBreakRecord`, `REFERENCE: Microsoft Excel SDK page 322 and 420`

Nested Class Summary
`class` `PageBreakRecord.Break` Since both records store 2byte integers (short), no point in differentiating it in the records.

Field Summary
`static short` `HORIZONTAL_SID`
`short` `sid`
`static short` `VERTICAL_SID`

Constructor Summary
`PageBreakRecord()`
`PageBreakRecord(short sid)`
`PageBreakRecord(short id, short size, byte[] data)`
`PageBreakRecord(short id, short size, byte[] data, int offset)`

Method Summary
`void` `addBreak(short main, short subFrom, short subTo)` Adds the page break at the specified parameters
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`PageBreakRecord.Break` `getBreak(short main)` Retrieves the region at the row/column indicated
`java.util.Iterator` `getBreaksIterator()`
`short` `getNumBreaks()`
`int` `getRecordSize()` gives the current serialized size of the record.
`short` `getSid()` return the non static version of the id for this record.
`void` `removeBreak(short main)` Removes the break indicated by the parameter
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setNumBreaks(short numBreaks)`
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HORIZONTAL_SID

    public static final short HORIZONTAL_SID

See Also:
  Constant Field Values

### VERTICAL_SID

    public static final short VERTICAL_SID

See Also:
  Constant Field Values

### sid

    public short sid

Constructor Detail

### PageBreakRecord

    public PageBreakRecord()

### PageBreakRecord

    public PageBreakRecord(short sid)

Parameters:
  `sid` -

### PageBreakRecord

    public PageBreakRecord(short id,
                           short size,
                           byte[] data)

### PageBreakRecord

    public PageBreakRecord(short id,
                           short size,
                           byte[] data,
                           int offset)

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### getNumBreaks

    public short getNumBreaks()

### setNumBreaks

    public void setNumBreaks(short numBreaks)

### getBreaksIterator

    public java.util.Iterator getBreaksIterator()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### addBreak

    public void addBreak(short main,
                         short subFrom,
                         short subTo)

  Adds the page break at the specified parameters

  Parameters:
    `main` - Depending on sid, will determine row or column to put page break (zero-based)
    `subFrom` - No user-interface to set (defaults to minumum, 0)
    `subTo` - No user-interface to set

### removeBreak

    public void removeBreak(short main)

  Removes the break indicated by the parameter

  Parameters:
    `main` - (zero-based)

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getBreak

    public PageBreakRecord.Break getBreak(short main)

  Retrieves the region at the row/column indicated

  Parameters:
    `main` -
  Returns:

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright © 2003 Apache Software Foundation.